Bug 82387 - CALC: Paste from another spreadsheet Results in Duplicate Rows If Paste Region Larger on Calc than Data Region EXCEL/Calc
Summary: CALC: Paste from another spreadsheet Results in Duplicate Rows If Paste Regi...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.3.0.4 release
Hardware: Other Windows (All)
: medium major
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Paste
  Show dependency treegraph
 
Reported: 2014-08-09 12:44 UTC by Doug
Modified: 2020-07-13 03:39 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
screenshot of copy region from excel (3.23 KB, image/png)
2014-08-09 12:44 UTC, Doug
Details
screenshot of paste region in calc (copy origin in prior screenshot) - full calc columns selected (13.31 KB, image/png)
2014-08-09 12:45 UTC, Doug
Details
calc paste area - larger area but not full columns selected (9.46 KB, image/png)
2014-08-09 12:46 UTC, Doug
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Doug 2014-08-09 12:44:55 UTC
Created attachment 104342 [details]
screenshot of copy region from excel

1.  Create EXCEL spreadsheet, add data
2.  Select region for copying, copy to clipboard
3.  Click on CALC spreadsheet
4.  Select paste region of larger size.
5.  Paste

UNEXPECTED RESULT:  Blank or non-existent rows in clipboard from EXCEL spreadsheet filled in with DUPLICATE/repetitive rows of data on CALC spreadsheet.

Desired result:  no duplicate rows on paste.

See screenshots.
Comment 1 Doug 2014-08-09 12:45:43 UTC
Created attachment 104343 [details]
screenshot of paste region in calc (copy origin in prior screenshot) - full calc columns selected
Comment 2 Doug 2014-08-09 12:46:25 UTC
Created attachment 104344 [details]
calc paste area - larger area but not full columns selected
Comment 3 Doug 2014-08-10 00:26:17 UTC
if the CALC paste region is the whole sheet, CALC will stop responding while it tries to paste duplicate data to all 1048576 rows and 1024 columns.  This requires forced restart of all LibreOffice applications open, loss of data.
Comment 4 Doug 2014-08-10 01:38:04 UTC
Pasting from one LO CALC spreadsheet to another LO CALC spreadsheet also triggers this same problem, triggers application hang/CRASH when full column selected as target for paste.
Comment 5 raal 2014-09-05 14:25:26 UTC
Hello,
I can reproduce the crash on Win 7, LO  4.3.1.2 ( crash while it tries to paste duplicate data to all 1048576 rows and 1024 columns from Calc to Calc)
Error message: LO 4.3 fatal error
bad allocation

I can reproduce the crash with Version: 4.3.2.0.0+
Build ID: 5c1b508b172f0047d86e1acde92239ebf3438251
TinderBox: Linux-rpm_deb-x86_64@46-TDF, Branch:libreoffice-4-3, Time: 2014-08-27_06:11:49
( crash while it tries to paste duplicate data to all 1048576 rows and 1024 columns from Calc to Calc)

I can reproduce "duplicate rows" with Version: 4.3.2.0.0+
Build ID: a5fedcf7fe56a56475dea484a78971c504e52272
TinderBox: Win-x86@42, Branch:libreoffice-4-3, Time: 2014-08-29_10:16:48
(Blank or non-existent rows in clipboard from EXCEL spreadsheet filled in with DUPLICATE/repetitive rows of data on CALC spreadsheet when copy from Calc to Calc)


I can not reproduce  "duplicate rows" with Version: 4.3.2.0.0+
Build ID: 5c1b508b172f0047d86e1acde92239ebf3438251
TinderBox: Linux-rpm_deb-x86_64@46-TDF, Branch:libreoffice-4-3, Time: 2014-08-27_06:11:49



Setting as new, this should be two bugs -  crash and filling empty rows.
Comment 6 QA Administrators 2015-10-14 19:56:31 UTC Comment hidden (obsolete)
Comment 7 QA Administrators 2016-11-08 11:06:56 UTC Comment hidden (obsolete)
Comment 8 Xisco Faulí 2017-07-12 09:29:11 UTC
(In reply to Doug from comment #4)
> Pasting from one LO CALC spreadsheet to another LO CALC spreadsheet also
> triggers this same problem, triggers application hang/CRASH when full column
> selected as target for paste.

Is the crash still reproducible in the latest version of LibreOffice from https://www.libreoffice.org/download/libreoffice-fresh/ ? If so, please report a new bug for that...

The duplicate issue is still reproducible in

Version: 6.0.0.0.alpha0+
Build ID: cb37c5f0f3de7b545231a53d46a5271058af76ad
CPU threads: 1; OS: Windows 6.1; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2017-06-23_06:55:41
Locale: es-ES (es_ES); Calc: group
Comment 9 QA Administrators 2018-07-13 02:41:40 UTC Comment hidden (obsolete)
Comment 10 QA Administrators 2020-07-13 03:39:49 UTC
Dear Doug,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug